=== debian/control ===
Source: ros-indigo-socketcan-bridge
Section: misc
Priority: extra
Maintainer: Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-can-msgs, ros-indigo-catkin, ros-indigo-roscpp, ros-indigo-roslint, ros-indigo-rostest, ros-indigo-rosunit, ros-indigo-socketcan-interface
Homepage: http://wiki.ros.org/socketcan_bridge
Standards-Version: 3.9.2

Package: ros-indigo-socketcan-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-can-msgs, ros-indigo-roscpp, ros-indigo-socketcan-interface
Description: Provides nodes to convert messages from SocketCAN to a ROS Topic and vice versa.
